
Figure - Bug #119169
【AF】【PVT】【Monkey】0805DB版本Monkey测试10小时后异常停止
2023-08-10 10:57 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-08-10

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0809DB

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-08-09

Test Type: ST Root cause: Monkey 进程执行时，调用出现空指针异常。

Description

测试步骤：

8.9晚上6点开始跑Monkey，VC1设备版本为0809DB版本

【测试命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 32000000 2>/sdcard/error.txt 1>/sdcard/info.txt

测试结果：8.10早上停止，跑测约10小时

日志路径：ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/monkey/20230810/device-4-0809DB-8.10

History

#1 - 2023-08-11 10:03 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to 物联网测试组_TSCD 王维

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-08-09

- Root cause set to Monkey 进程执行时，调用出现空指针异常。

■ Current conclusion

该问题已处理，提交：https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/301580

■ My analysis

问题原因日志：

    -  Error: A RuntimeException occurred:

java.lang.NullPointerException: Attempt to invoke virtual method 'void com.android.server.wm.Task.setVisibleFreeformTask(boolean)' on a null object reference

    at android.os.Parcel.createExceptionOrNull(Parcel.java:2431)

    at android.os.Parcel.createException(Parcel.java:2409)

    at android.os.Parcel.readException(Parcel.java:2392)

    at android.os.Parcel.readException(Parcel.java:2334)

    at android.app.IActivityManager$Stub$Proxy.startActivityAsUserWithFeature(IActivityManager.java:8620)

    at com.android.commands.monkey.MonkeyActivityEvent.injectEvent(MonkeyActivityEvent.java:73)

    at com.android.commands.monkey.Monkey.runMonkeyCycles(Monkey.java:1219)
    at com.android.commands.monkey.Monkey.run(Monkey.java:710)

    at com.android.commands.monkey.Monkey.main(Monkey.java:570)

    at com.android.internal.os.RuntimeInit.nativeFinishInit(Native Method)

    at com.android.internal.os.RuntimeInit.main(RuntimeInit.java:355)

Caused by: android.os.RemoteException: Remote stack trace:

    at com.android.server.wm.FreeFormWindowHelper.handleFreeformTask(FreeFormWindowHelper.java:456)

    at com.android.server.wm.TaskDisplayArea.allResumedActivitiesComplete(TaskDisplayArea.java:1509)

    at com.android.server.wm.Task.resumeTopActivityInnerLocked(Task.java:6296)

    at com.android.server.wm.Task.resumeTopActivityUncheckedLocked(Task.java:6216)

    at com.android.server.wm.Task.resumeTopActivityUncheckedLocked(Task.java:6261)

■ Next action

麻烦测试验证。

#2 - 2023-09-11 16:29 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

已在下列版本中验证通过，以下版本均跑测时长在6天以上，且同时跑测设备为3台

01.00.0138

01.00.0140

01.00.0142

#3 - 2023-09-11 16:29 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED
